<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>

<%--<%@ include file="/WEB-INF/jspf/common.jspf" %>--%>
<html>
<head>
    <title>缺陷列表</title>
    <meta charset="utf-8">
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <%@include file="../../jspf/comm.jspf" %>
    <script type="text/javascript"
            src="${path}/static/bootstrap-3.3.7/plugins/bootstrap-multiselect-master/dist/js/bootstrap-multiselect.js"></script>
    <link rel="stylesheet"
          href="${path}/static/bootstrap-3.3.7/plugins/bootstrap-multiselect-master/dist/css/bootstrap-multiselect.css"
          type="text/css"/>
    <style type="text/css">
        .divCss {
            margin-top: 5px;
        }

        .divCss2 {
            margin-top: 5px;
            margin-left: 20px;
        }

        .divCss8 {
            margin-top: 5px;
            margin-right: 20px;
        }

        /* dataTables表头居中 */
        .table > thead:first-child > tr:first-child > th {
            text-align: center !important;
        }

        /*.table-striped > tbody > tr:nth-of-type(odd) {*/
        /*background-color: #f9f9f9*/
        /*}*/

        .toolbarCss {
            margin-right: 20px;
            margin-bottom: 0px;
        !important;
        }

        .fixed-table-toolbar .bs-bars .pull-right{
            height: 20px;
        !important;
        }

        /*选中行颜色*/
        .fixed-table-container tbody .selected td {
            background-color: #9acfea;
        }

        .formCss{
            margin-top:20px;
            margin-left:20px;
        }

        .tjCss{
            margin-left:5px;
            margin-right:15px;
            height:auto;
        }

    </style>
</head>
<body>
<div class="tjCss">
    <!--搜索-->
    <form class="formCss">
        <div class="form-inline">
            <div class="form-group divCss8">
                <label for="inpNo">住院号:</label>
                <input type="text" class="input-sm form-control" id="inpNo" placeholder="请输入住院号">
            </div>
            <div class="form-group divCss8">
                <label for="visitId">住院次数:</label>
                <input type="number" class="input-sm form-control" id="visitId" placeholder="请输入次数">
            </div>
            <div class="form-group divCss8">
                <label for="name">姓名:</label>
                <input type="text" class="input-sm form-control" id="name" placeholder="请输入姓名">
            </div>
            <div class="form-group divCss8">
                <label>出院日期:</label>
                <div class="input-daterange input-group" id="datepicker">
                    <input type="text" class="input-sm form-control" name="start" id="startDate"/>
                    <span class="input-group-addon">-</span>
                    <input type="text" class="input-sm form-control" name="end" id="endDate"/>
                </div>
            </div>
            <div class="form-group divCss8" id="deptDiv" style="height: 18px;margin-top: -7px;">
                <label >出院科室:</label>
                <select class="selectpicker bla bla bli" multiple data-live-search="true" name="deptName"
                        id="deptName"  data-actions-box="true" data-deselect-all-text="取消全选" data-select-all-text="全选"
                        title="请输入出院科室"  data-none-results-text="没找到相应记录{0}">
                    <%--<option value="">全部</option>--%>
                </select>
            </div>
            <div class="form-group divCss8">
                <label for="name">主管医生:</label>
                <select class="selectpicker bla bla bli" multiple data-live-search="true" name="doctorInCharge" id="doctorInCharge" title="请输入主管医生"
                        data-actions-box="true" data-deselect-all-text="取消全选" data-select-all-text="全选" data-none-results-text="没找到相应记录{0}">
                    <%--<option value="">全部</option>--%>
                </select>
                <%--                    <input type="text" class="input-sm form-control" id="doctorInCharge" placeholder="请输入主管医生">--%>
            </div>
            <%--<div class="form-group divCss8">
               <label for="name">退回人:</label>
               <select class="selectpicker bla bla bli" multiple data-live-search="true" name="backer" id="backer" title="请输入退回人"
                        data-actions-box="true" data-deselect-all-text="取消全选" data-select-all-text="全选" data-none-results-text="没找到相应记录{0}">
                    <option value="--">全部</option>
                </select>
                &lt;%&ndash;<input type="text" class="input-sm form-control" id="backer" placeholder="请输入退回人">&ndash;%&gt;
            </div>--%>
            <div class="form-group divCss8">
                <label for="name">创建人:</label>
                <select class="selectpicker bla bla bli" multiple data-live-search="true" name="creater" id="creater" title="请输入创建人"
                        data-actions-box="true" data-deselect-all-text="取消全选" data-select-all-text="全选" data-none-results-text="没找到相应记录{0}">
                    <%--<option value="">全部</option>--%>
                </select>
                <%--<input type="text" class="input-sm form-control" id="creater" placeholder="请输入创建人">--%>
            </div>
            <div class="form-group divCss8">
                <label for="archivestate">归档状态 :</label>
                <select class="selectpicker bla bla bli" multiple data-live-search="true" name="archivestate" id="archivestate" title="请输入归档状态"
                        data-actions-box="true" data-deselect-all-text="取消全选" data-select-all-text="全选" data-none-results-text="没找到相应记录{0}">
                    <%--<option value="">全部</option>--%>
                    <option value="在院">在院</option>
                    <option value="未归档">未归档</option>
                    <option value="归档中">归档中</option>
                    <option value="提交">提交</option>
                    <option value="主任退回">主任退回</option>
                    <option value="初审">初审</option>
                    <option value="已认证">已认证</option>
                    <option value="已归档">已归档</option>
                    <option value="复审退回">复审退回</option>
                </select>
            </div>
            <label class="form-group">缺陷选项：</label>
            <div class="form-group divCss">
                <%-- <label for="name">缺陷选项:</label>
                 <select  id="typeFlag" multiple="multiple" title="请输入选项" name="typeFlag" >
                     <option value="">全部</option>
                 </select>--%>

                <%--<div class="col-lg-3 form-group divCss8" ><label>缺陷选项：</label></div>--%>
                <div  id="mulDiv">
                </div>
            </div>


            <button type="button" class="btn btn-primary btn-sm divCss" id="searchBtn">查询</button>
            <button type="button" class="btn btn-info btn-sm divCss" id="excelBtn">条件导出</button>
        </div>
    </form>



    <!--数据表格-->
    <table id="table" class="table  text-nowrap table-striped"></table>
    <div id="toolbar" class="btn-group pull-right toolbarCss" >
        <div class="columns columns-right btn-group pull-right" style="margin-top:0px;">
            <div class="btn-group btn-info">
                <select id="sel_exportoption" class="form-control">                
                    <option value="">导出当前页面数据</option>                                       
                    <option value="all">导出全部数据</option>                                       
                    <option value="selected">导出选中数据</option>
                </select>
            </div>
            <button class=" btn btn-success" style="height: 34px" type="button" id="refreshBtn" name="refresh" aria-label="Refresh"
                    title="Refresh">
                <i class="glyphicon glyphicon-refresh icon-refresh"></i>
            </button>
        </div>
    </div>
</div>



<script>
    $('.bs-select').selectpicker({});
    var tipLoad=1;

    <%--function getDept() {--%>
    <%--//获取科室列表--%>
    <%--$.ajax({--%>
    <%--url: "${path}/inHosp/getDept",--%>
    <%--type: "POST",--%>
    <%--data: {effective: 1, typecode: "dept_code"},--%>
    <%--success: function (result) {--%>
    <%--if (result != null) {--%>
    <%--for (var i = 0; i < result.length; i++) {--%>
    <%--$("#deptName").append("<option value=" + result[i].code + ">" + result[i].name + "</option>");--%>
    <%--}--%>
    <%--}--%>
    <%--$(".selectpicker").selectpicker('refresh');--%>
    <%--}--%>
    <%--});--%>
    <%--}--%>

    <%--getDept();--%>

    //处理导出内容,这个方法可以自定义某一行、某一列、甚至某个单元格的内容,也就是将其值设置为自己想要的内容
    function DoOnCellHtmlData(cell, row, col, data) {
        if (row == 0) {
            return data;
        }

        //由于备注列超过6个字的话,通过span标签处理只显示前面6个字,如果直接导出的话会导致内容不完整,因此要将携带完整内容的span标签中title属性的值替换
        if (col == 4 || col == 11 || col == 7) {
            var spanObj = $(data);//将带 <span title="val"></span> 标签的字符串转换为jQuery对象
            var title = spanObj.attr("title");//读取<span title="val"></span>中title属性的值
            //var span = cell[0].firstElementChild;//读取cell数组中的第一个值下的第一个元素
            if (typeof (title) != 'undefined') {
                return title;
            }
        }

        return data;
    }

    function getFaultType() {
        // console.log("=========getFaultType=========");
        //获取科室列表
        $.ajax({
            url: "${path}/lastVerify/getFaultType",
            type: "POST",
            data: {effective: 1},
            success: function (result) {
                if (result != null) {
                    var htmlVal = "";
                    var typeArr = [];
                    for (var k = 0; k < result.length; k++) {
                        if (result[k].typeName.indexOf(")") != -1) {
                            var parentVal = (result[k].typeName).split(")");
                            if (typeArr.indexOf(parentVal[0] + ")") == -1) {
                                typeArr.push(parentVal[0] + ")");
                            }
                        }
                    }

                    var htmls = '<select  id="typeFlag" multiple="multiple" title="请输入选项" name="typeFlag" >';
                    if (typeArr!= []) {
                        for (var x = 0; x < typeArr.length; x++) {
                            var pVal = typeArr[x];
                            if (pVal != null && pVal != '') {
                                htmlVal = '<optgroup label="' + pVal.substr(1, pVal.length - 2) + '" class="group-' + x + '">';
                                for (var y = 0; y < result.length; y++) {
                                    var str = result[y].typeName;
                                    var pos = str.indexOf(")");
                                    if (result[y].typeName.indexOf(pVal) != -1) {
                                        htmlVal += '<option value="' + result[y].id + '">' + result[y].typeName.substr(pos + 1, str.length) + '</option>';
                                    }
                                }
                                htmlVal += '</optgroup>';
                                htmls += htmlVal;
                            }
                        }
                    }

                    $("#mulDiv").append(htmls);
                    $('#typeFlag').multiselect({
                        nonSelectedText: '--请选择--',
                        enableCollapsibleOptGroups: true,
                        collapseOptGroupsByDefault: true,
                        enableFiltering: true,
                        includeSelectAllOption: true,
                        buttonWidth: 300,  //选择框的大小
                    });


                }
            }
        });
    }

    getFaultType();
    var pageVal=0;
    var startDate2="",endDate2="",inpNo2="",visitId2="",name2="",doctorInCharge2="",archivestate2="",deptName2="",typeFlag2="",creater2="";
    var backIdArr=[];
    var backIndex=0;
    function initParmFun(){
        startDate2=$("#startDate").val();
        endDate2=$("#endDate").val();
        inpNo2=$("#inpNo").val();
        visitId2=$("#visitId").val();
        name2=$("#name").val();
        doctorInCharge2=$("#doctorInCharge").val();
        archivestate2=$("#archivestate").val();
        deptName2=$("#deptName").val();
    }
    function initTable() {
        if(tipLoad==1){
            $("#table").bootstrapTable({ // 对应table标签的id
                //method: 'POST',
                url: "${path}/fault/masterTotalList", // 获取表格数据的url  getQualityControlList
                contentType: "application/x-www-form-urlencoded",//一种编码。好像在post请求的时候需要用到。这里用的get请求，注释掉这句话也能拿到数据
                //dataField: "data",//这是返回的json数组的key.默认是"rows".这里只有前后端约定好就行
                detailView: true,//父子表，为true会在父数据前添加 “+”
                cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
                striped: true,  //表格显示条纹，默认为false
                pagination: true, // 在表格底部显示分页组件，默认false
                paginationShowPageGo: true,
                pageList: [10, 20,50,100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
                smartDisplay: false,
                pageSize: 2, // 页面数据条数
                pageNumber: 1, // 初始化加载第一页，默认第一页
                sidePagination: 'server', // 设置为服务器端分页     客户端：client
                search: false,
                showColumns: true,
                toolbar: '#toolbar',//指定工具栏
                searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
                undefinedText: '---', //当数据为 undefined 时显示的字符
                singleSelect: false,//设置True 将禁止多选
                clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
                //height: 560,     //定义表格的高度。
                searchTimeOut: 500,// 默认500  设置搜索超时时间。
                toolbarAlign: 'right',// 指定 toolbar 水平方向的位置。'left' 或 'right'
                paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
                showHeader: true,//是否显示列头。
                trimOnSearch: true,//设置为 true 将自动去掉搜索字符的前后空格。
                //是否显示导出按钮
                showExport: true,
                //导出表格方式（默认basic：只导出当前页的表格数据；all：导出所有数据；selected：导出选中的数据）
                exportDataType: "basic",
                //导出文件类型
                exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel'],
                exportOptions: {
                    fileName: document.title
                },
                queryParams: function (params) {
                    var currPageSize= this.pageSize;
                    if(currPageSize==2){
                        currPageSize=10;
                    }
                    var limit= null;
                    var offset= params.offset;
                    //判断是否导出全部all
                    if ($("#sel_exportoption").val() == "all") {
                        offset=0;
                        limit=this.totalRows;
                        this.pageSize= limit;
                    }else{
                        limit = currPageSize;
                        this.pageSize = currPageSize;
                    }

                    /*var url = window.location.href;
                    var deptName = url.substring(url.lastIndexOf('&') + 1).replace("depts=", "");

                    var len = ($("#deptName").val()).length;
                    if (len > 0) {
                        var deptNameT = $("#deptName").val();
                        if (deptNameT.indexOf("") == -1) {
                            deptName = $("#deptName").val().toString();
                        }
                    }*/

                    var deptName = $("#deptName").val();
                    if (deptName.indexOf("") != -1) {
                        deptName = "";
                    } else {
                        deptName = $("#deptName").val().toString();
                    }

                    //查询时的初始化值
                    initParmFun();
                    var temp = {
                        limit: limit,     //页面大小
                        offset: offset,   //页码
                        order: params.order,      //排位命令（desc，asc）
                        startDate: $("#startDate").val(),
                        endDate: $("#endDate").val(),
                        inpNo: "" + $("#inpNo").val(),
                        visitId:""+$("#visitId").val(),
                        name:""+$("#name").val(),
                        doctorInCharge:""+$("#doctorInCharge").val(),
                        //creater:""+$("#creater").val(),
                        archivestate:"" + $("#archivestate").val(),
                        deptName: deptName
                    };

                    return temp;
                },
                sortName: 'id', // 要排序的字段
                sortOrder: 'desc', // 排序规则
                columns: [{
                    title: '全选',
                    field: 'select',   //复选框
                    checkbox: true,
                    width: 25,
                    align: 'left',
                    valign: 'middle',

                },
                    {
                        title: '序号',
                        field: 'id',
                        align: 'center',
                        valign: 'middle',
                        //field: 'ID',
                        // visible: false,
                        formatter: function (value, row, index) {
                            return index + 1;
                        }
                    },
                    {
                        title: '病案清单id',
                        field: 'archiveDetailId',
                        valign: 'middle',
                        visible: false
                        //sortable: true,
                    },
                    {
                        title: '住院号',
                        field: 'inpNo',
                        valign: 'middle',
                        //sortable: true,
                    },
                    {
                        title: '住院次数',
                        field: 'visitId',
                        valign: 'middle',
                        align:'center'
                    },
                    {
                        title: '姓名',
                        field: 'name',
                        valign: 'middle',
                    },
                    {
                        title: '出院科室',
                        field: 'deptName',
                        align: 'left',
                        valign: 'middle',
                        formatter: function (value, row, index) {
                            return value;
                        }
                    },
                    {
                        title: '出院日期',
                        //field: 'title',
                        //sortable: true,
                        field: 'dischargeDateTime',
                        align: 'center',
                        valign: 'middle',
                        formatter: function (value, row, index) {
                            var result="";
                            if(value!=null && value!=""){
                                result= value.substring(0, 10);
                            }else{
                                result=value;
                            }
                            return result
                        }
                    },
                    {
                        title: '归档状态',
                        field: 'archivestate',
                        align: 'center',
                        formatter: function (value, row, index) {
                            //在院  未归档  归档中  初审 已归档 已认证 复审退回
                            var a ='';
                            if (value == "未归档") {
                                a = '<span style="color:#c0c0c0;"><i class="fa fa-times-circle-o" aria-hidden="true"></i>' + value + '</span>';
                            } else if (value == "已归档") {
                                a = '<span style="color:#030378"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                            } else if (value == "在院") {
                                a = '<span style="color:#bfa200"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                            } else if (value == "归档中") {
                                a = '<span style="color:#5d9c0a"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                            } else if (value == "初审") {
                                a = '<span style="color:#8FBC8F"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                            } else if (value == "已认证") {
                                a = '<span style="color:#FF7F24"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                            } else if (value == "复审退回") {
                                a = '<span style="color:red"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                            } else if (value == "提交") {
                                a = '<span style="color:blue"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                            } else if (value == "主任退回") {
                                a = '<span style="color:#0000FF"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                            }
                            return a;

                        }
                    },
                    {
                        field: 'score',
                        title: '评分(分)',
                        //sortable: true,
                        align: 'center',
                        valign: 'middle',
                        formatter: function (value, row, index) {
                            let score = row.score;
                            if(score==null ||score==undefined || score==0){
                                score=100;
                            }
                            return score;
                            //return changeDateFormat(value)
                        }
                    },
                    {
                        title: '主管医生',
                        field: 'doctorInCharge',
                        align: 'center',
                        valign: 'middle',
                    },{
                        field: 'totalBackNum',
                        title: '退回总次数',
                        //sortable: true,
                        align: 'center',
                        valign: 'middle'
                    },{
                        field: 'backFee',
                        title: '退回单价',
                        //sortable: true,
                        align: 'center',
                        valign: 'middle'
                    },{
                        field: 'totalBackFee',
                        title: '退回总费用(元)',
                        align: 'center',
                        valign: 'middle',
                        formatter: function (value, row, index) {
                            //console.log(row);
                            return value;
                            //return changeDateFormat(value)
                        }
                    }
                    /*{
                        field: 'createTime',
                        title: '创建时间',
                        valign: 'middle',
                        formatter: function (value, row, index) {
                            return value;
                            //return changeDateFormat(value)
                        }
                    },
                    {
                        field: 'creater',
                        title: '创建人',
                        valign: 'middle',
                        formatter: function (value, row, index) {
                            return value;
                            //return changeDateFormat(value)
                        }
                    },*/
                    // {
                    //     field: 'updater',
                    //     title: '修改人',
                    //     valign: 'middle',
                    //     formatter: function (value, row, index) {
                    //         return value;
                    //         //return changeDateFormat(value)
                    //     }
                    // },
                    // {
                    //     field: 'updateTime',
                    //     title: '修改时间',
                    //     valign: 'middle',
                    //     formatter: function (value, row, index) {
                    //         return value;
                    //         //return changeDateFormat(value)
                    //     }
                    // }
                    // {
                    //     title: "操作",
                    //     align: 'center',
                    //     valign: 'middle',
                    //     width: 160, // 定义列的宽度，单位为像素px
                    //     formatter: function (value, row, index) {
                    //         return '<button class="btn btn-primary btn-sm" onclick="del(\'' + row.Age + '\')">修改</button> <button class="btn btn-danger btn-sm" onclick="del(\'' + row.Age + '\')">删除</button>';
                    //     },
                    //     cellStyle: function (value, row, index) {
                    //         return {classes: 'success'}
                    //
                    //     }
                    // }
                ],
                onLoadSuccess: function (result) {  //加载成功时执行
                    //console.info("加载成功");
                    tipLoad = 0;
                },
                onLoadError: function () {  //加载失败时执行
                    //console.info("加载数据失败");
                    tipLoad = 0;
                },onExpandRow: function (index, row, $detail) {
                    InitSubTable(index, row, $detail);
                    //backIdArr.push($detail);
                }
            });


            //初始化子表格(无线循环)
            InitSubTable = function (index, row, $detail) {
                //console.log(row);
                if(row.backNum=="异常"){
                    toastr.warning("退回次数为异常，请先纠正!");
                    return;
                }
                var archiveDetailId = row.archiveDetailId;
                var cur_table = $detail.html('<table id="backTable" class="backTable"></table>').find('table');

                //console.log(endDateTo+"========================"+startDateTo);

                $(cur_table).bootstrapTable({
                    //method: 'POST',
                    url: "${path}/fault/faultBackScoreList", // 获取表格数据的url
                    contentType: "application/x-www-form-urlencoded",//一种编码。好像在post请求的时候需要用到。这里用的get请求，注释掉这句话也能拿到数据
                    //dataField: "data",//这是返回的json数组的key.默认是"rows".这里只有前后端约定好就行
                    detailView: true,//父子表，为true会在父数据前添加 “+”
                    cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
                    striped: true,  //表格显示条纹，默认为false
                    pagination: true, // 在表格底部显示分页组件，默认false
                    paginationShowPageGo: true,
                    pageList: [10, 20,50,100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
                    smartDisplay: false,
                    pageSize: 10, // 页面数据条数
                    pageNumber: 1, // 初始化加载第一页，默认第一页
                    sidePagination: 'server', // 设置为服务器端分页     客户端：client
                    search: false,
                    showColumns: false,
                    // toolbar: '#toolbar2',//指定工具栏
                    //  searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
                    // undefinedText: '---', //当数据为 undefined 时显示的字符
                    singleSelect: false,//设置True 将禁止多选
                    // clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
                    //height: 560,     //定义表格的高度。
                    searchTimeOut: 500,// 默认500  设置搜索超时时间。
                    toolbarAlign: 'right',// 指定 toolbar 水平方向的位置。'left' 或 'right'
                    paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
                    showHeader: true,//是否显示列头。
                    trimOnSearch: true,//设置为 true 将自动去掉搜索字符的前后空格。
                    //是否显示导出按钮
                    showExport: false,
                    queryParams: function (params) {
                        var currPageSize= this.pageSize;
                        if(currPageSize==2){
                            currPageSize=10;
                        }
                        var limit= null;
                        var offset= params.offset;
                        //判断是否导出全部all
                        if ($("#sel_exportoption2").val() == "all") {
                            offset=0;
                            limit=this.totalRows;
                            this.pageSize= limit;
                        }else{
                            limit = currPageSize;
                            this.pageSize = currPageSize;
                        }

                        var temp = {
                            limit: limit,     //页面大小
                            offset: offset,   //页码
                            order: params.order,      //排位命令（desc，asc）
                            archiveDetailId:archiveDetailId
                            //updater:""+$("#backer").val()
                        };
                        return temp;
                    },
                    sortName: 'id', // 要排序的字段
                    sortOrder: 'desc', // 排序规则
                    columns: [
                        /*{
                            title: '全选',
                            field: 'select',   //复选框
                            checkbox: true,
                            width: 25,
                            align: 'left',
                            valign: 'middle',
                        },*/
                        {
                            title: '序号',
                            field: 'id',
                            align: 'center',
                            valign: 'middle',
                            //field: 'ID',
                            // visible: false,
                            formatter: function (value, row, index) {
                                return index + 1;
                            }
                        },
                        {
                            title: '病案清单id',
                            field: 'archiveDetailId',
                            valign: 'middle',
                            visible: false
                            //sortable: true,
                        },
                        {
                            title: '退回开始时间',
                            field: 'startDateTo',
                            align: 'center',
                            valign: 'middle',
                        },
                        {
                            title: '退回结束时间',
                            field: 'endDateTo',
                            align: 'center',
                            valign: 'middle',
                        },
                        {
                            field: 'score',
                            title: '评分(分)',
                            //sortable: true,
                            align: 'center',
                            valign: 'middle'
                        },
                        {
                            field: 'backNum',
                            title: '退回次数',
                            //sortable: true,
                            align: 'center',
                            valign: 'middle',
                            formatter: function (value, row, index) {
                                var a ='';
                                if(value=="异常"){
                                    a ='<span style="color:red"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                                }else{
                                    a=value;
                                }
                                return a;
                            }
                        },

                        {
                            field: 'createTime',
                            title: '退回时间',
                            valign: 'middle',
                            align: 'center',
                        },
                        {
                            field: 'creater',
                            title: '退回人',
                            valign: 'middle',
                            align: 'left',
                        }
                    ], //无线循环取子表，直到子表里面没有记录
                    onExpandRow: function (index, row, $Subdetail) {
                        InitSubTable2(index, row, $Subdetail);
                    }
                });
            }

            //初始化子表格(无线循环)
            InitSubTable2 = function (index, row, $detail) {
                if(row.backNum=="异常"){
                    toastr.warning("退回次数为异常，请先纠正!");
                    return;
                }
                var archiveDetailId = row.archiveDetailId;
                var startDateTo=row.startDateTo;
                var endDateTo=row.endDateTo;
                var cur_table2 = $detail.html('<table id="faultTable'+backIndex+'"></table>').find('table');
                //console.log(archiveDetailId+"========"+archiveDetailId+"====="+startDateTo+"======="+endDateTo);
                backIdArr.push(backIndex);
                backIndex++;
                $(cur_table2).bootstrapTable({
                    //method: 'POST',
                    url: "${path}/fault/faultListByTj", // 获取表格数据的url
                    contentType: "application/x-www-form-urlencoded",//一种编码。好像在post请求的时候需要用到。这里用的get请求，注释掉这句话也能拿到数据
                    //dataField: "data",//这是返回的json数组的key.默认是"rows".这里只有前后端约定好就行
                    detailView: false,//父子表，为true会在父数据前添加 “+”
                    cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
                    striped: true,  //表格显示条纹，默认为false
                    pagination: true, // 在表格底部显示分页组件，默认false
                    paginationShowPageGo: true,
                    pageList: [10, 20,50,100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
                    smartDisplay: false,
                    pageSize: 10, // 页面数据条数
                    pageNumber: 1, // 初始化加载第一页，默认第一页
                    sidePagination: 'server', // 设置为服务器端分页     客户端：client
                    search: false,
                    showColumns: false,
                    // toolbar: '#toolbar2',//指定工具栏
                    //  searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
                    // undefinedText: '---', //当数据为 undefined 时显示的字符
                    singleSelect: false,//设置True 将禁止多选
                    // clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
                    //height: 560,     //定义表格的高度。
                    searchTimeOut: 500,// 默认500  设置搜索超时时间。
                    toolbarAlign: 'right',// 指定 toolbar 水平方向的位置。'left' 或 'right'
                    paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
                    showHeader: true,//是否显示列头。
                    trimOnSearch: true,//设置为 true 将自动去掉搜索字符的前后空格。
                    //是否显示导出按钮
                    showExport: false,
                    queryParams: function (params) {
                        var currPageSize= this.pageSize;
                        if(currPageSize==2){
                            currPageSize=10;
                        }
                        var limit= null;
                        var offset= params.offset;
                        //判断是否导出全部all
                        if ($("#sel_exportoption2").val() == "all") {
                            offset=0;
                            limit=this.totalRows;
                            this.pageSize= limit;
                        }else{
                            limit = currPageSize;
                            this.pageSize = currPageSize;
                        }

                        var typeFlag = $("#typeFlag").val();
                        if (typeFlag== undefined ||typeFlag== null ||typeFlag== "undefined") {
                            typeFlag = "";
                        } else {
                            typeFlag = $("#typeFlag").val().toString();
                        }

                        var temp = {
                            limit: limit,     //页面大小
                            offset: offset,   //页码
                            order: params.order,      //排位命令（desc，asc）
                            archiveDetailId: archiveDetailId,
                            startDateTo: startDateTo,
                            creater:""+$("#creater").val(),
                            endDateTo: endDateTo,
                            backFlag:"5,6",
                            assortId:""+typeFlag

                        };
                        return temp;
                    },
                    sortName: 'id', // 要排序的字段
                    sortOrder: 'desc', // 排序规则
                    columns: [
                        /*{
                            title: '全选',
                            field: 'select',   //复选框
                            checkbox: true,
                            width: 25,
                            align: 'left',
                            valign: 'middle',
                        },*/
                        {
                            title: '序号',
                            field: 'id',
                            align: 'center',
                            valign: 'middle',
                            //field: 'ID',
                            // visible: false,
                            formatter: function (value, row, index) {
                                return index + 1;
                            }
                        },
                        {
                            title: '病案清单id',
                            field: 'archiveDetailId',
                            valign: 'middle',
                            visible: false
                            //sortable: true,
                        },
                        {
                            field: 'assortName',
                            title: '缺陷选项',
                            valign: 'middle',
                            formatter: function (value, row, index) {
                                // console.log(row);
                                return value;
                                //return changeDateFormat(value)
                            }
                        },{
                            field: 'score',
                            title: '评分(分)',
                            //sortable: true,
                            align: 'center',
                            valign: 'middle',
                            formatter: function (value, row, index) {
                                if(value==null ||value==undefined){
                                    value=100;
                                }
                                return value;
                                //return changeDateFormat(value)
                            }
                        },
                        {
                            field: 'content',
                            title: '缺陷自定内容',
                            valign: 'middle',
                            formatter: function (value, row, index) {
                                return value;
                                //return changeDateFormat(value)
                            }
                        },
                        /*{
                            field: 'backContent',
                            title: '退回内容',
                            //visible: false,
                            formatter: function (value, row, index) {
                                return value;
                                //return changeDateFormat(value)
                            }
                        },*/
                        {
                            field: 'createTime',
                            title: '创建时间',
                            valign: 'middle',
                            formatter: function (value, row, index) {
                                return value;
                                //return changeDateFormat(value)
                            }
                        },
                        {
                            field: 'creater',
                            title: '创建人',
                            valign: 'middle',
                            formatter: function (value, row, index) {
                                return value;
                                //return changeDateFormat(value)
                            }
                        }
                    ],  //无线循环取子表，直到子表里面没有记录
                    onExpandRow: function (index, row, $Subdetail) {
                      InitSubTable2(index, row, $Subdetail);
                    }
                });
            }
        }
    }

    function getFlagTableFun(){
        var flag=0;
        if(startDate2!=$("#startDate").val() && flag==0){
            startDate2=$("#startDate").val();
            flag=1;
        }
        //console.log("===flag0==="+flag);
        if(endDate2!=$("#endDate").val() && flag==0){
            endDate2= $("#endDate").val();
            flag=1;
        }
        //console.log("===flag1==="+flag );
        if(inpNo2!=$("#inpNo").val() && flag==0){
            inpNo2="" + $("#inpNo").val();
            flag=1;
        }
        //console.log("===flag2==="+flag );
        if(visitId2!=$("#visitId").val() && flag==0){
            visitId2=""+$("#visitId").val();
            flag=1;
        }
        //console.log("===flag3==="+flag);
        if(name2!=$("#name").val()&& flag==0){
            name2=""+$("#name").val();
            flag=1;
        }
        //console.log("===flag4==="+flag);
        if(doctorInCharge2!=(""+$("#doctorInCharge").val())&& flag==0){
            doctorInCharge2=""+(""+$("#doctorInCharge").val());
            flag=1;
        }
        //console.log("===flag5==="+flag);
        if(archivestate2!=("" + $("#archivestate").val())&& flag==0){
            archivestate2="" + ("" + $("#archivestate").val());
            flag=1;
        }
        //console.log("===flag6==="+flag);
        var deptName3 = $("#deptName").val();
        if (deptName3.indexOf("") != -1) {
            deptName3 = "";
        } else {
            deptName3 = $("#deptName").val().toString();
        }
        //console.log("===flag7==="+flag);
        if(deptName2!=deptName3 && flag==0){
            deptName2= deptName3;
            flag=1;
        }
        //console.log("===flag8==="+flag);
        return flag;
    }

    function getFlagFaultTableFun(){
        var faultFlag=0;

        if(typeFlag2==$("#typeFlag").val() && faultFlag==0){
            faultFlag=0;
        }else{
            typeFlag2 = $("#typeFlag").val();
            faultFlag=1;
        }
        //console.log("===faultFlag9==="+faultFlag);
        if(creater2==$("#creater").val() && faultFlag==0){
            faultFlag=0;
        }else{
            creater2=""+$("#creater").val();
            faultFlag=1;
        }
        //console.log("===faultFlag10==="+faultFlag);
        return faultFlag;
    }
    //查询
    $('#searchBtn').click(function () {
        //查询之后重新从第一页算起
        if (tipLoad == 0) {
            //判断第一次和第二次传参的对比
             //backer2=""+$("#backer").val();
            var flag=getFlagTableFun();
            if(flag==1) {
                $("#table").bootstrapTable("refreshOptions", {pageNumber: 1});
            }else{
                var faultFlag=getFlagFaultTableFun();
                if(faultFlag==1) {
                  //  $("#backTable").bootstrapTable("refresh", {pageNumber: 1});
                    if(backIdArr.length>0){
                        for(var i=0;i<backIdArr.length;i++){
                            $("#faultTable"+backIdArr[i]).bootstrapTable("refresh", {pageNumber: 1});
                        }
                    }
                }else{
                    //查询条件无更改，不刷新
                    toastr.warning("查询条件无更改，已查询!");
                }
            }
        } else {
            toastr.warning("正在查询，请稍等...");
        }
    });



    //获取table的高度
    function getHeight() {
        return $(window).height() - 100;
    }
    function getUserList() {
        //获取role为病案室、病案室管理的用户
        $.ajax({
            url:"${path}/getPowerUserList",
            type:"GET",
            data:{"type":1},
            success:function (data) {
                if (data != null) {
                    for (var i = 0; i < data.length; i++) {
                        $("#doctorInCharge").append("<option value=" + data[i].userName + ">" + data[i].name + "</option>");
                        $("#creater").append("<option value=" + data[i].userName + ">" + data[i].name + "</option>");
                        //$("#backer").append("<option value=" + data[i].userName + ">" + data[i].name + "</option>");

                    }
                }
                $(".selectpicker").selectpicker('refresh');
            }
        })
    }

    getUserList();



    $(function () {
        var url = window.location.href;
        var index = url.substring(url.lastIndexOf('?') + 1).replace("num=", "");
        if (index != null && index != "" && index.indexOf("excel") != -1) {
            $("#excelBtn").show();
            $("#toolbar").show();
        } else {
            $("#excelBtn").hide();
            $(".columns-right").hide();
        }

        var deptAdmissionTo = url.substring(url.lastIndexOf('&') + 1).replace("depts=", "");
        var deptArr = deptAdmissionTo.split(',');
        //var n = (deptAdmissionTo.split(',')).length ;
        if (deptAdmissionTo == null || deptAdmissionTo == '' || deptArr.length > 1) {
            $('#deptDiv').show();
        } else {
            $('#deptDiv').hide();
        }

        function getDept() {
            //获取科室列表
            $.ajax({
                url: "${path}/inHosp/getDept",
                type: "POST",
                data: {effective: 1, typecode: "dept_code"},
                success: function (result) {
                    if (result != null) {
                        for (var i = 0; i < result.length; i++) {
                            if (deptArr.length != 1 && deptArr[0] != "") {
                                var bol = deptArr.indexOf(result[i].code);
                                if (bol != -1) {
                                    $("#deptName").append("<option value=" + result[i].code + ">" + result[i].name + "</option>");
                                }
                            } else {
                                $("#deptName").append("<option value=" + result[i].code + ">" + result[i].name + "</option>");
                            }
                        }
                    }
                    $(".selectpicker").selectpicker('refresh'); //
                }
            });
        }

        getDept();
        // var deptAdmissionTo = url.substring(url.lastIndexOf('&') + 1).replace("depts=", "");
        // if (deptAdmissionTo == null || deptAdmissionTo == '') {
        //     $('#deptDiv').show();
        // } else {
        //     $('#deptDiv').hide();
        // }
        //初始化表

        // $('.form_datetime').datetimepicker({
        //     weekStart: 0, //一周从哪一天开始
        //     todayBtn: 1, //
        //     autoclose: 1,
        //     todayHighlight: 1,
        //     startView: 2,
        //     forceParse: 0,
        //     showMeridian: 1
        // });
    });

    //日期控件
    $(".input-daterange").datepicker({
        format:"yyyy-mm-dd",
        language:"zh-CN"
    });
    /*var currDate=getCurrDate();
    var currDate30=getCurrDay30();
    $('#startDate').val(currDate30);
    $('#endDate').val(currDate);*/

    initTable();


    //2.初始化select的change事件
    $("#sel_exportoption").change(function () {
        $('#table').bootstrapTable('refreshOptions', {
            exportDataType: $(this).val()
        });
    });
    $("#refreshBtn").click(function () {
        //刷新
        $('#table').bootstrapTable('refresh');
    });

    //导出excel功能
    $("#excelBtn").click(function () {
        toastr.warning("正在导出，请稍等...");
        var backFlag = "5,6";
        var inpNo = "" + $("#inpNo").val();
        var visitId = "" + $("#visitId").val();
        var name = "" + $("#name").val();
        var startDate = "" + $("#startDate").val();
        var endDate = "" + $("#endDate").val();
        var archivestate = "" + $("#archivestate").val();
        /*var url = window.location.href;
        var deptName = url.substring(url.lastIndexOf('&') + 1).replace("depts=", "");

        var len = ($("#deptName").val()).length;
        if (len > 0) {
            var deptNameT = $("#deptName").val();
            if (deptNameT.indexOf("") == -1) {
                deptName = $("#deptName").val().toString();
            }
        }*/

        var deptName = $("#deptName").val();
        if (deptName.indexOf("") != -1) {
            deptName = "";
        } else {
            deptName = $("#deptName").val().toString();
        }

        //主管医生、创建人、缺陷选项
        var doctorInCharge=""+$("#doctorInCharge").val();
        var typeFlag = $("#typeFlag").val();
        if (typeFlag== undefined ||typeFlag== null ||typeFlag== "undefined") {
            typeFlag = "";
        } else {
            typeFlag = $("#typeFlag").val().toString();
        }
        var assortId=""+typeFlag;
        var creater=""+$("#creater").val();
        //var backer=""+$("#backer").val();
        //导出ArchiveState in('已归档','已认证','初审')
        window.location.href = "${path}/fault/exportExcel?inpNo=" + inpNo + "&visitId=" + visitId +
            "&name=" + name + "&startDate=" + startDate + "&endDate=" + endDate + "&archivestate=" + archivestate+
            "&deptName="+ deptName + "&doctorInCharge=" + doctorInCharge
            + "&assortId=" + assortId + "&creater=" + creater+"&backFlag="+backFlag;


    });

</script>
</body>
</html>