﻿<%@ page contentType="text/html;charset=UTF-8" language="java" import="java.util.*" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<%
    ResourceBundle res = ResourceBundle.getBundle("config.jdbc");
%>
<html>
<head>
    <title>首次签收超期列表</title>
    <meta charset="utf-8">
    <meta name="referrer" content="never">
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <%@include file="../../jspf/comm.jspf" %>
    <%@ include file="../../jspf/ztreeCommom.jsp" %>
    <style>
        .divCss {
            margin-top: 5px;
        }

        .divCss8 {
            margin-top: 5px;
            margin-right: 20px;
        }

        /* dataTables表头居中 */
        .table > thead:first-child > tr:first-child > th {
            text-align: center !important;
        }

        .table th {
            text-align: center;
        }

        .toolbarCss {
            margin-right: 20px;
            margin-bottom: 0px;
        !important;
        }

        .fixed-table-toolbar .bs-bars .pull-right {
            height: 20px;
        !important;
        }

        /*选中行颜色*/
        .fixed-table-container tbody .selected td {
            background-color: #9acfea;
        }

        .divContentCss{
            margin-left:10px;
            margin-right:5px;
            margin-top: 20px;
            height:auto;
        }

        .formCss{
            margin-top:20px;
            margin-left:20px;
        }

        .tjCss{
            margin-left:15px;
            margin-right:15px;
            height:auto;
        }
    </style>
</head>

<body>
<div class="tjCss">
    <!--搜索-->
    <form class="formCss" onkeydown="enter()" id="form1">
        <div class="form-inline">
            <div class="form-group divCss8" >
                <label>主管医生:</label>
                <select class="selectpicker bla bla bli" multiple data-live-search="true" name="doctorInCharge" id="doctorInCharge" title="请输入主管医生"
                        data-actions-box="true" data-deselect-all-text="取消全选" data-select-all-text="全选" data-none-results-text="没找到相应记录{0}">

                </select>
            </div>
            <div class="form-group divCss8">
                <label>出院日期：</label>
                <div class="input-daterange input-group">
                    <input type="text" class="input-sm form-control" name="start" id="startDate"/>
                    <span class="input-group-addon">-</span>
                    <input type="text" class="input-sm form-control" name="end" id="endDate"/>
                </div>
            </div>
            <div class="form-group divCss8">
                <label>迟交数(查)>=</label>
                <input type="text" class="input-sm form-control" id="overdueDays2" placeholder="请输入超期天数">
            </div>
            <div class="form-group divCss">
                <label>超期天数>=</label>
                <input type="text" class="input-sm form-control" id="overdueDays" placeholder="请配置超期天数(默认3)">
            </div>
            <button type="button" class="btn btn-primary btn-sm divCss" id="searchBtn">查询</button>
            <button type="button" class="btn btn-info btn-sm divCss" id="excelBtn">条件导出</button>

        </div>
    </form>
    <!--数据表格-->
    <table id="table" class="table  text-nowrap table-striped"></table>
    <div id="toolbar" class="btn-group pull-right toolbarCss" >
        <div class="columns columns-right btn-group pull-right" style="margin-top:0px;">
            <div class="btn-group btn-info">
                <select id="sel_exportoption" class="form-control">                
                    <option value="">导出当前页面数据</option>                                               
                    <option value="all">导出全部数据</option>                                             
                    <option value="selected">导出选中数据</option>
                </select>
            </div>
            <button class=" btn btn-success" style="height: 34px" type="button" id="refreshBtn" name="refresh"
                    aria-label="Refresh"
                    title="Refresh">
                <i class="glyphicon glyphicon-refresh icon-refresh"></i>
            </button>
        </div>
    </div>
</div>
</body>

<script type="text/javascript">
    var tipLoad = 1;
    //$(".dropdown-toggle").style.display = 'none';
    $(function () {
        var url = window.location.href;
        var index = url.substring(url.lastIndexOf('?') + 1).replace("num=", "");
        if (index != null && index != "" && index.indexOf("excel") != -1) {
            $("#excelBtn").show();
            $("#toolbar").show();
        } else {
            $("#excelBtn").hide();
            $("#table1 .columns-right").hide();
        }

    });

    //日期控件
    $(".input-daterange").datepicker({
        format: "yyyy-mm-dd",
        language: "zh-CN"
    });

    /*var currDate=getCurrDate();
    var currDate30=getCurrDay30();
    $('#startDate').val(currDate30);
    $('#endDate').val(currDate);*/

    function getDept() {
        //获取科室列表
        $.ajax({
            url: "${path}/inHosp/getDept",
            type: "POST",
            data: {effective: 1, typecode: "dept_code"},
            success: function (result) {
                if (result != null) {
                    for (var i = 0; i < result.length; i++) {
                        $("#deptName").append("<option value=" + result[i].code + ">" + result[i].name + "</option>");
                        $("#deptAdmissionTo").append("<option value=" + result[i].code + ">" + result[i].name + "</option>");
                        $("#deptName2").append("<option value=" + result[i].code + ">" + result[i].name + "</option>");
                        $("#deptAdmissionTo2").append("<option value=" + result[i].code + ">" + result[i].name + "</option>");
                    }
                }
                $(".selectpicker").selectpicker('refresh');
            }
        });
    }
    getDept();

    function getUserList() {
        //获取用户列表
        $.ajax({
            url:"${path}/getPowerUserList",
            type:"GET",
            data:{"type":0},
            success:function (data) {
                if (data != null) {
                    for (var i = 0; i < data.length; i++) {
                        $("#doctorInCharge").append("<option value=" + data[i].userName + ">" + data[i].name + "</option>");
                    }
                }
                $(".selectpicker").selectpicker('refresh');
            }
        })
    }
    getUserList();

    /**
     * 根据两个日期，判断相差天数
     * @param sDate1 开始日期 如：2016-11-01
     * @param sDate2 结束日期 如：2016-11-02
     * @returns {number} 返回相差天数
     */
    function daysBetween(sDate1, sDate2) {
        //Date.parse() 解析一个日期时间字符串，并返回1970/1/1 午夜距离该日期时间的毫秒数
        var time1 = Date.parse(new Date(sDate1));
        var time2 = Date.parse(new Date(sDate2));
        var nDays = Math.abs(parseInt((time2 - time1) / 1000 / 3600 / 24));
        return nDays;
    };

    //今天的时间
    var day2 = new Date();
    day2.setTime(day2.getTime());
    var currDay = day2.getFullYear()+"-" + (day2.getMonth()+1) + "-" + day2.getDate();

    function initTable() {
        if (tipLoad == 1) {
            $("#table").bootstrapTable({ // 对应table标签的id
                //method: 'POST',
                url: "${path}/observationReport/getObservationReportPage", // 获取表格数据的url
                contentType: "application/x-www-form-urlencoded",//一种编码。好像在post请求的时候需要用到。这里用的get请求，注释掉这句话也能拿到数据
                //dataField: "data",//这是返回的json数组的key.默认是"rows".这里只有前后端约定好就行
                cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
                striped: true,  //是否显示行间隔色
                pagination: true, // 在表格底部显示分页组件，默认false
                paginationShowPageGo: true,
                pageList: [10, 20, 50, 100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
                smartDisplay: false,
                pageSize: 2, // 页面数据条数
                pageNumber: 1, // 初始化加载第一页，默认第一页
                sidePagination: 'server', // 设置为服务器端分页     客户端：client
                search: false,
                showColumns: true,
                // sortable: true,
                // sortOrder: "asc",
                toolbar: '#toolbar',//指定工具栏
                searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
                undefinedText: '---', //当数据为 undefined 时显示的字符
                singleSelect: false,//设置True 将禁止多选
                clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
                //height: 560,     //定义表格的高度。
                searchTimeOut: 500,// 默认500  设置搜索超时时间。
                toolbarAlign: 'right',// 指定 toolbar 水平方向的位置。'left' 或 'right'
                paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
                showHeader: true,//是否显示列头。
                trimOnSearch: true,//设置为 true 将自动去掉搜索字符的前后空格。
                //是否显示导出按钮
                showExport: true,
                //导出表格方式（默认basic：只导出当前页的表格数据；all：导出所有数据；selected：导出选中的数据）
                exportDataType: "basic",
                //导出文件类型
                exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel'],
                exportOptions: {
                    fileName: document.title
                },
                // showToggle: false,                    //是否显示详细视图和列表视图的切换按钮
                // cardView: false,                    //是否显示详细视图
                // detailView: false,                   //是否显示父子表
                queryParams: function (params) {
                    var currPageSize = this.pageSize;
                    if (currPageSize == 2) {
                        currPageSize = 10;
                    }
                    var limit = null;
                    var offset = params.offset;
                    //判断是否导出全部all
                    if ($("#sel_exportoption").val() == "all") {
                        offset = 0;
                        limit = this.totalRows;
                        this.pageSize = limit;
                    } else {
                        limit = currPageSize;
                        this.pageSize = currPageSize;
                    }

                    var temp = {
                        limit: limit,     //页面大小
                        offset: offset,   //页码
                        // order: params.order,      //排位命令（desc，asc）
                        // id: $("#id").val(),
                        overdueDays: $("#overdueDays").val(),
                        overdueDaysTwo: $("#overdueDays2").val(),
                        doctorInCharge: "" + $("#doctorInCharge").val(),
                        startDate: $("#startDate").val(),
                        endDate: $("#endDate").val()

                    };

                    return temp;
                },
                sortName: 'id', // 要排序的字段
                sortOrder: 'desc', // 排序规则
                columns: [{
                    title: '全选',
                    field: 'select',   //复选框
                    checkbox: true,
                    width: 25,
                    align: 'center',
                    valign: 'middle',

                },
                    {
                        title: '主管医生',
                        field: 'doctorInCharge',
                        align: 'left',
                        valign: 'middle',
                    },
                    {
                        title: '归档总数',
                        field: 'fileNum',
                        align: 'center',
                        valign: 'middle',
                    },
                    {
                        title: '迟交病历总数',
                        field: 'delayNum',
                        align: 'center',
                        valign: 'middle'
                    },
                    {
                        title: '已质控病历总数',
                        field: 'qualityNum',
                        align: 'center',
                        valign: 'middle'
                    },
                    {
                        title: '退回急诊室总数',
                        field: 'backNum',
                        align: 'center',
                        valign: 'middle'
                    }
                ],
                onLoadSuccess: function (result) {  //加载成功时执行
                    // console.info("加载成功");
                    tipLoad = 0;
                },
                onLoadError: function () {  //加载失败时执行
                    //console.info("加载数据失败");
                    tipLoad = 0;
                }

            });
        }
    }
    initTable();

    //查询
    $('#searchBtn').click(function () {
        if (tipLoad == 0) {
            $("#table").bootstrapTable("refreshOptions", {pageNumber: 1});
        } else {
            toastr.warning("正在查询，请稍等...");
        }
    });

    //2.初始化select的change事件
    $("#sel_exportoption").change(function () {
        $('#table').bootstrapTable('refreshOptions', {
            exportDataType: $(this).val()
        });
    });
    $("#refreshBtn").click(function () {
        //刷新
        $('#table').bootstrapTable('refresh');
    });

    //导出excel功能
    $("#excelBtn").click(function () {
        toastr.warning("正在导出，请稍等...");

        var doctorInCharge= "" + $("#doctorInCharge").val();
        var startDate= $("#startDate").val();
        var endDate= $("#endDate").val();
        var overdueDays= $("#overdueDays").val();
        var overdueDaysTwo= $("#overdueDays2").val();
        window.location.href = "${path}/observationReport/exportExcel?doctorInCharge=" + doctorInCharge + "&startDate=" + startDate +
            "&endDate=" + endDate + "&overdueDays=" + overdueDays+ "&overdueDaysTwo=" + overdueDaysTwo;
    });

    function enter() {
        if (event.keyCode == 13) {
            document.getElementById('searchBtn').click();
        }
    }
</script>

</html>