﻿<%@ page import="java.util.ResourceBundle" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<%
    ResourceBundle res = ResourceBundle.getBundle("config.jdbc");
%>
<html>
<head>
    <title>病案提交报表</title>
    <meta charset="utf-8">
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <%@include file="../../jspf/comm.jspf" %>
    <link rel="shortcut icon" href="${path}/favicon.ico">
    <style>
        /* .divCss {
             margin-top: 5px;
         }*/
        .divCss8 {
            margin-top: 5px;
            margin-right: 20px;
        }

        /* dataTables表头居中 */
        /*.table > thead:first-child > tr:first-child > th {
            text-align: center !important;
        }*/
        /**
        *多选下拉框
        */
        .bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
            width: 168px !important;
        }

    </style>
    <script>
        var path = "${path}";
    </script>
</head>

<body>
<!--当前操作角色-->
<input type="hidden" id="checker">
<input type="hidden" id="flag" value="">
<div class="mainBody">
    <div class="main">
<%--        <div class="headDiv">--%>
<%--            <div class="headSpanDiv">--%>
<%--        <span class="headspan">--%>
<%--            病理数据报表--%>
<%--        </span>--%>
<%--            </div>--%>
<%--        </div>--%>
        <div class="mainDiv">
            <!--搜索-->
            <form style="margin-top:5px;margin-bottom: 0!important;">
                <div class="form-inline">
                    <div class="form-group divCss8">
                        <label for="inpNo">&emsp;住院号:</label>
                        <input type="text" class="input-sm form-control" id="inpNo" placeholder="请输入住院号" maxlength="25">
                    </div>
                    <div class="form-group divCss8">
                        <label for="visitId">住院次数:</label>
                        <input type="number" class="input-sm form-control" min="1" id="visitId" placeholder="请输入次数"
                               maxlength="2">
                    </div>
                    <div class="form-group divCss8">
                        <label for="name">姓名:</label>
                        <input type="text" class="input-sm form-control" id="name" placeholder="请输入姓名" maxlength="8">
                    </div>
                    <div class="form-group divCss8">
                        <label>出院时间:</label>
                        <div class="input-group input-daterange">
                            <input type="text" class="input-sm form-control" name="start" id="startDateTo"
                                   maxlength="10" autocomplete="off"/>
                            <span class="input-group-addon">-</span>
                            <input type="text" class="input-sm form-control" name="end" id="endDateTo" maxlength="10"
                                   autocomplete="off"/>
                        </div>
                    </div>


                    <div class="form-group divCss8">
                        <button type="button" class="btn btn-primary btn-sm divCss" id="searchBtn">查询</button>
                    </div>
                </div>
            </form>
            <!--数据表格-->
            <div id="tableDiv">
                <table id="table" class="table text-nowrap table-bordered"></table>
            </div>
        </div>
    </div>
</div>
</body>
<script>
    var tipLoad = 1;
    function initTable() {
        // if (tipLoad == 1) {
            $("#table").bootstrapTable({ // 对应table标签的id
                //method: 'POST',
                // getPathologicalReportList
                url: "${path}/pathological/getPathologicalReportList", // 获取表格数据的url
                contentType: "application/x-www-form-urlencoded",//一种编码。好像在post请求的时候需要用到。这里用的get请求，注释掉这句话也能拿到数据
                //dataField: "data",//这是返回的json数组的key.默认是"rows".这里只有前后端约定好就行
                cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
                striped: true,  //表格显示条纹，默认为false
                pagination: true, // 在表格底部显示分页组件，默认false
                paginationShowPageGo: true,
                pageList: [10, 20, 50, 100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
                smartDisplay: false,
                pageSize: 2, // 页面数据条数
                pageNumber: 1, // 初始化加载第一页，默认第一页
                sidePagination: 'server', // 设置为服务器端分页     客户端：client
                search: false,
                showColumns: true,
                // sortable: true,
                // sortOrder: "asc",
                toolbar: '#toolbar',//指定工具栏
                searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
                undefinedText: '---', //当数据为 undefined 时显示的字符
                singleSelect: false,//设置True 将禁止多选
                clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
                //height: 560,     //定义表格的高度。
                searchTimeOut: 500,// 默认500  设置搜索超时时间。
                toolbarAlign: 'right',// 指定 toolbar 水平方向的位置。'left' 或 'right'
                paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
                showHeader: true,//是否显示列头。
                trimOnSearch: true,//设置为 true 将自动去掉搜索字符的前后空格。
                //是否显示导出按钮
                showExport: true,
                //导出表格方式（默认basic：只导出当前页的表格数据；all：导出所有数据；selected：导出选中的数据）
                exportDataType: "basic",
                //导出文件类型
                exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel'],
                exportOptions: {
                    fileName: document.title
                },
                queryParams: function (params) {
                    var currPageSize = this.pageSize;
                    if (currPageSize == 2) {
                        currPageSize = 10;
                    }

                    var limit= null;
                    var offset= params.offset;
                    //判断是否导出全部all
                    if ($("#sel_exportoption").val() == "all") {
                        offset=0;
                        limit=this.totalRows;
                        this.pageSize= limit;
                    }else{
                        limit = currPageSize;
                        this.pageSize = currPageSize;
                    }
                    var temp = {
                        limit: limit,     //页面大小
                        offset: offset,   //页码
                        order: params.order,      //排位命令（desc，asc）
                        inpNo: "" + $("#inpNo").val(),
                        visitId : "" + $("#visitId").val(),
                        startDate: $("#startDate").val(),
                        endDate: $("#endDate").val(),
                        name: "" + $("#name").val(),
                        startDateTo: $("#startDateTo").val(),
                        endDateTo: $("#endDateTo").val(),
                    };
                    return temp;
                },
                sortName: 'id', // 要排序的字段
                sortOrder: 'desc', // 排序规则
                columns: [{
                    title: '全选',
                    field: 'select',   //复选框
                    checkbox: true,
                    width: 25,
                    align: 'center',
                    valign: 'middle'

                },
                    {
                        title: '序号',
                        field: 'id',
                        align: 'center',
                        valign: 'middle',
                        //sortable: true,
                        // visible: false,
                        formatter: function (value, row, index) {
                            return index + 1;
                        }
                    },
                    {
                        title: '住院号',
                        field: 'inpNo',
                        align: 'left',
                        valign: 'middle'
                    },
                    {
                        title: '住院次数',
                        field: 'visitId',
                        align: 'left',
                        valign: 'middle'
                    },
                    {
                        title: '姓名',
                        field: 'name',
                        align: 'center',
                        valign: 'middle'
                    }, {
                        title: '出院时间',
                        field: 'dischargeDateTime',
                        align: 'center',
                        valign: 'middle'
                    },{
                        title: '病理号',
                        field: 'c1',
                        align: 'center',
                        valign: 'middle'
                    }, {
                        title: '报告名称',
                        field: 'c9',
                        align: 'center',
                        valign: 'middle'
                    }, {
                        title: '报告登记时间',
                        field: 't3',
                        align: 'center',
                        valign: 'middle'
                    },
                ],
                onLoadSuccess: function (result) {  //加载成功时执行
                    //console.info("加载成功");
                    tipLoad = 0;
                },
                onLoadError: function () {  //加载失败时执行
                    //console.info("加载数据失败");
                    tipLoad = 0;
                }

            });
        // }
    }



    //获取table的高度
    function getHeight() {
        return $(window).height() - 100;
    }

    initTable();


    //查询
    $('#searchBtn').click(function () {
        // tipLoad = 0;
        // initTable();
        //查询之后重新从第一页算起
        if (tipLoad == 0) {
        $("#table").bootstrapTable("refreshOptions", {pageNumber: 1});
        } else {
            toastr.warning("正在查询，请稍等...");
        }

        //$(".selectpicker").selectpicker('deselectAll');
        // $('#table').bootstrapTable('destroy');
        //$('#table').bootstrapTable('refreshOptions', {limit: 1, offset: 10});
        //刷新
        //$('#table').bootstrapTable('refresh');
    });

    //2.初始化select的change事件
    $("#sel_exportoption").change(function () {
        $('#table').bootstrapTable('refreshOptions', {
            exportDataType: $(this).val()
        });
    });
    $("#refreshBtn").click(function () {
        //刷新
        $('#table').bootstrapTable('refresh');
    });
    //日期控件
    $(".input-daterange").datepicker({
        format: "yyyy-mm-dd",
        language: "zh-CN"
    });

</script>
</html>