<%@ page import="java.util.ResourceBundle" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<%
    ResourceBundle res = ResourceBundle.getBundle("config.jdbc");
%>
<%--<%@ include file="/WEB-INF/jspf/common.jspf" %>--%>
<html>
<head>
    <title>扫描记录统计</title>
    <meta charset="utf-8">
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <%@include file="../../jspf/comm.jspf" %>
</head>
<style>
    .modal-header2 {
        text-align: center !important;
        vertical-align: middle !important;
        background-color: #3c8dbc !important;
        color: #fff;
        font-size: 16px;
        font-weight: bold;
        padding: 5px 5px 5px 5px !important;
    }
    /*.modal-header {*/
    /*padding: 5px 5px 5px 5px !important;*/
    /*}*/
    .modal-footer{
        padding: 5px;
    }

    .divCss {
        margin-top: 5px;
    }

    .divCss2 {
        margin-top: 5px;
        margin-left: 20px;
    }

    .divCss8 {
        margin-top: 5px;
        margin-right: 20px;
    }

    /* dataTables表头居中 */
    .table > thead:first-child > tr:first-child > th {
        text-align: center !important;
    }
    .enterCss2{
        height: 160px;
        width: 500px;
    }

    .toolbarCss {
        margin-right: 20px;
        margin-bottom: 0px;
    !important;
    }

    .fixed-table-toolbar .bs-bars .pull-right{
        height: 20px;
    !important;
    }

    /*选中行颜色*/
    .fixed-table-container tbody .selected td {
        background-color: #9acfea;
    }

    .formCss{
        margin-top:20px;
        margin-left:20px;
    }

    .tjCss{
        margin-left:10px;
        margin-right:20px;
        height:auto;
    }
</style>
<body>
<div class="tjCss">
    <!--搜索-->
    <form class="formCss">
        <div class="form-inline">

            <div class="form-group divCss8">
                <label for="inpNo">住院号:</label>
                <input type="text" class="input-sm form-control" id="inpNo" placeholder="请输入住院号">
            </div>

            <div class="form-group divCss8">
                <label>扫描人:</label>
                <input type="text" class="input-sm form-control" id="creater" placeholder="请输入扫描人">
            </div>
            <div class="form-group divCss8">
                <label>扫描日期:</label>
                <div class="input-daterange input-group" id="datepicker">
                    <input type="text" class="input-sm form-control" name="start" id="startDate"/>
                    <span class="input-group-addon">-</span>
                    <input type="text" class="input-sm form-control" name="end" id="endDate"/>
                </div>
            </div>
            <div class="form-group divCss">
                <label>扫描时段 :</label>
                <select class="input-sm form-control" id="copyTimeType">
                    <option value="">不限</option>
                    <option value="day_7">7天内</option>
                    <option value="month_day_15">半个月内</option>
                    <option value="month_1">一个月内</option>
                    <option value="month_3">三个月内</option>
                </select>
            </div>
            <button type="button" class="btn btn-primary btn-sm divCss"id="searchBtn">查询</button>
            <button type="button" class="btn btn-info btn-sm divCss" id="excelBtn">条件导出</button>
        </div>
    </form>
    <!--数据表格-->
    <table id="table" class="table text-nowrap table-striped" ></table>
    <div id="toolbar" class="btn-group pull-right toolbarCss" >
        <div class="columns columns-right btn-group pull-right" style="margin-top:0px;">
            <div class="btn-group btn-info">
                <select id="sel_exportoption" class="form-control">                
                    <option value="">导出当前页面数据</option>                                       
                    <option value="all">导出全部数据</option>                                     
                    <option value="selected">导出选中数据</option>
                </select>
            </div>
            <button class=" btn btn-success btn-sm" style="height: 34px" type="button" id="refreshBtn" name="refresh" aria-label="Refresh"
                    title="Refresh">
                <i class="glyphicon glyphicon-refresh icon-refresh"></i>
            </button>
        </div>
    </div>
</div>
</body>
<script>
    var tipLoad = 1;

    $(function () {


        var url = window.location.href;
        var index = url.substring(url.lastIndexOf('?') + 1).replace("num=", "");
        if (index != null && index != "" && index.indexOf("excel") != -1) {
            $("#excelBtn").show();
            $("#toolbar").show();
        } else {
            $("#excelBtn").hide();
            $(".columns-right").hide();
        }

    });

    //日期控件
    $(".input-daterange").datepicker({
        format: "yyyy-mm-dd",
        language: "zh-CN"
    });
    /* var currDate=getCurrDate();
     var currDate30=getCurrDay30();
     $('#startDate').val(currDate30);
     $('#endDate').val(currDate);*/

    //处理导出内容,这个方法可以自定义某一行、某一列、甚至某个单元格的内容,也就是将其值设置为自己想要的内容
    function DoOnCellHtmlData(cell, row, col, data) {
        if (row == 0) {
            return data;
        }

        //由于备注列超过6个字的话,通过span标签处理只显示前面6个字,如果直接导出的话会导致内容不完整,因此要将携带完整内容的span标签中title属性的值替换
        if (col == 4 || col == 11 || col == 7) {
            var spanObj = $(data);//将带 <span title="val"></span> 标签的字符串转换为jQuery对象
            var title = spanObj.attr("title");//读取<span title="val"></span>中title属性的值
            //var span = cell[0].firstElementChild;//读取cell数组中的第一个值下的第一个元素
            if (typeof (title) != 'undefined') {
                return title;
            }
        }

        return data;
    }

    function initTable() {
        if(tipLoad == 1){
            $("#table").bootstrapTable({ // 对应table标签的id
                //method: 'POST',
                url: "${path}/scanInfo/scanDetailPage", // 获取表格数据的url
                contentType: "application/x-www-form-urlencoded",//一种编码。好像在post请求的时候需要用到。这里用的get请求，注释掉这句话也能拿到数据
                //dataField: "data",//这是返回的json数组的key.默认是"rows".这里只有前后端约定好就行
                cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
                striped: true,  //表格显示条纹，默认为false
                pagination: true, // 在表格底部显示分页组件，默认false
                paginationShowPageGo: true,
                pageList: [10, 20, 50, 100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
                smartDisplay: false,
                pageSize: 2, // 页面数据条数
                pageNumber: 1, // 初始化加载第一页，默认第一页
                sidePagination: 'server', // 设置为服务器端分页     客户端：client
                search: false,
                showColumns: true,
                // sortable: true,
                // sortOrder: "asc",
                toolbar: '#toolbar',//指定工具栏
                searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
                undefinedText: '---', //当数据为 undefined 时显示的字符
                singleSelect: false,//设置True 将禁止多选
                clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
                //height: 560,     //定义表格的高度。
                searchTimeOut: 500,// 默认500  设置搜索超时时间。
                toolbarAlign: 'right',// 指定 toolbar 水平方向的位置。'left' 或 'right'
                paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
                showHeader: true,//是否显示列头。
                trimOnSearch: true,//设置为 true 将自动去掉搜索字符的前后空格。
                //是否显示导出按钮
                showExport: true,
                //导出表格方式（默认basic：只导出当前页的表格数据；all：导出所有数据；selected：导出选中的数据）
                exportDataType: "basic",
                //导出文件类型
                exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel'],
                exportOptions: {
                    fileName: document.title
                },
                // showToggle: false,                    //是否显示详细视图和列表视图的切换按钮
                // cardView: false,                    //是否显示详细视图
                // detailView: false,                   //是否显示父子表
                queryParams: function (params) {
                    var currPageSize = this.pageSize;
                    if (currPageSize == 2) {
                        currPageSize = 10;
                    }

                    var limit= null;
                    var offset= params.offset;
                    //判断是否导出全部all
                    if ($("#sel_exportoption").val() == "all") {
                        offset=0;
                        limit=this.totalRows;
                        this.pageSize= limit;
                    }else{
                        limit = currPageSize;
                        this.pageSize = currPageSize;
                    }

                    //var url = window.location.href;
                    // var deptName = url.substring(url.lastIndexOf('&') + 1).replace("depts=", "");
                    // var len = ($("#deptName").val()).length;
                    // if (len > 0) {
                    //     var deptNameT = $("#deptName").val();
                    //     if (deptNameT.indexOf("") == -1) {
                    //         deptName = $("#deptName").val().toString();
                    //     }
                    // }


                    var temp = {
                        limit: limit,     //页面大小
                        offset: offset,   //页码
                        order: params.order,      //排位命令（desc，asc）
                        inpNo: "" + $("#inpNo").val(),
                        creater:""+$("#creater").val(),
                        startDate: $("#startDate").val(),
                        endDate: $("#endDate").val(),
                        lockinfo: "" + $("#copyTimeType").val()
                    };
                    return temp;
                },
                sortName: 'id', // 要排序的字段
                sortOrder: 'desc', // 排序规则
                columns: [{
                    title: '全选',
                    field: 'select',   //复选框
                    checkbox: true,
                    width: 25,
                    align: 'center',
                    valign: 'middle',

                },
                    {
                        title: '序号',
                        field: 'id',
                        align: 'center',
                        valign: 'middle',
                        //sortable: true,
                        visible: false,
                        formatter: function (value, row, index) {
                            return index + 1;
                        }
                    },
                    {
                        title: '记账号',
                        field: 'patientId',
                        align: 'left',
                        valign: 'middle',
                        width: 300
                    },
                    {
                        title: '住院号',
                        field: 'inpNo',
                        align: 'center',
                        valign: 'middle'
                    },
                    {
                        title: '住院次数',
                        field: 'visitId',
                        align: 'center',
                        valign: 'middle',
                        width: 120
                    },
                    {
                        title: '患者姓名',
                        field: 'name',
                        align: 'left',
                        valign: 'middle',
                        width: 120
                    },
                   /* {
                        title: '性别',
                        field: 'sex',
                        align: 'center',
                        valign: 'middle'
                    },*/
                    /*{
                        title: '入院时间',
                        field: 'admissionDateTime',
                        align: 'center'
                    },*/
                    {
                        title: '出院时间',
                        field: 'dischargeDateTime',
                        align: 'center',
                        width: 200
                    }
                    /*,{
                        title: '出院科室',
                        field: 'deptName',
                        align: 'left',
                        valign: 'middle'
                    },{
                        title: '主管医生',
                        field: 'doctorInCharge',
                        align: 'left',
                        valign: 'middle'
                    }*/
                    ,{
                        title: '扫描人',
                        field: 'creater',
                        align: 'left',
                        valign: 'middle'
                    },
                    {
                        title: '文件名',
                        field: 'content',
                        align: 'left',
                        valign: 'middle'
                    },
                    {
                        title: '扫描日期',
                        field: 'createTime',
                        align: 'center',
                        valign: 'middle'
                    }
                    /*,{
                        title: '修改标志',
                        field: 'remark',
                        align: 'center',
                        valign: 'middle'
                    }*/
                ],
                onLoadSuccess: function (result) {  //加载成功时执行
                    //console.info("加载成功");
                    console.log(result)
                    tipLoad = 0;
                },
                onLoadError: function () {  //加载失败时执行
                    //console.info("加载数据失败");
                    tipLoad = 0;
                }

            });
        }
    }


    //查询
    $('#searchBtn').click(function () {
        if (tipLoad == 0) {
            $("#table").bootstrapTable("refreshOptions", {pageNumber: 1});
        } else {
            toastr.warning("正在查询，请稍等...");
        }
        //$("#deptName").val([]);
    });

    //获取table的高度
    function getHeight() {
        return $(window).height() - 100;
    }

    initTable();

    //2.初始化select的change事件
    $("#sel_exportoption").change(function () {
        $('#table').bootstrapTable('refreshOptions', {
            exportDataType: $(this).val()
        });
    });
    $("#refreshBtn").click(function () {
        //刷新
        $('#table').bootstrapTable('refresh');
    });

    //导出excel功能
    $("#excelBtn").click(function () {
        toastr.warning("正在导出，请稍等...");
        var inpNo = "" + $("#inpNo").val();
        var creater=""+$("#creater").val();//扫描人
        var startDate= $("#startDate").val();
        var endDate= $("#endDate").val();
        var lockinfo= "" + $("#copyTimeType").val();

        window.location.href = "${path}/scanInfo/exportExcel?inpNo=" + inpNo + "&startDate=" + startDate +
            "&endDate=" + endDate + "&lockinfo=" + lockinfo+ "&creater=" + creater;

    });


</script>

</html>